import geompy
import math

import salome, SMESH
import smesh
import StdMeshers

# start the mesher here
Mshell = smesh.Mesh(Face1)
CompositeSegment1D = Mshell.Segment(algo=smesh.COMPOSITE)
AutomaticLength1 = CompositeSegment1D.AutomaticLength(1.0)
Quadrangle2D = Mshell.Quadrangle()
QuadranglePreference = Quadrangle2D.QuadranglePreference()
isDone = Mshell.Compute()
smesh.SetName(Mshell.GetMesh(),'Mshell')
Mshell.ConvertToQuadratic(1)

pattern = smesh.GetPattern()
Mshell  = Mshell.Group(shell)
MLinex1 = Mshell.Group(Linex1)
MLiney1 = Mshell.Group(Liney1)
MLinex0 = Mshell.Group(Linex0)
MLiney0 = Mshell.Group(Liney0)

# set object names  
#isGUIMode = 1
#if isGUIMode and salome.sg.hasDesktop():
smesh.SetName(Mshell.GetMesh(),'shell')
smesh.SetName(CompositeSegment1D.GetAlgorithm(), 'CompositeSegment1D')
smesh.SetName(AutomaticLength1, 'AutomaticLength=1')
smesh.SetName(Quadrangle2D.GetAlgorithm(), 'Quadrangle_2D')
smesh.SetName(QuadranglePreference, 'QuadranglePreference')
smesh.SetName(MLinex1, 'MLinex1')
smesh.SetName(MLiney1, 'MLiney1')
smesh.SetName(MLinex0, 'MLinex0')
smesh.SetName(MLiney0, 'MLiney0')
smesh.SetName(Mshell,  'Mshell')
# salome.sg.updateObjBrowser(0)

